%define _disable_source_fetch 0
%define debug_package %{nil}

Name:           fedora-settings
Release:        3%{?dist}
Version:        1.0.1
Summary:        Fedora custom settings
License:        GPLv3
URL:            https://betaco.de/strom/%{name}
Source0:        dist/fedora-settings.tar.gz

Requires:       zram-generator
Conflicts:      zram-generator-defaults

BuildArch:      noarch

%description
Configuration fragments for Fedora workstation

%prep
%autosetup -p1 -n %{name}

%install
install -d %{buildroot}/%{_prefix}/lib
cp -r usr/lib %{buildroot}/%{_prefix}

%files
# We do want to own all override directories
%{_prefix}/lib/systemd/journald.conf.d{,*}
%{_prefix}/lib/systemd/logind.conf.d{,*}
%{_prefix}/lib/systemd/system.conf.d{,*}
%{_prefix}/lib/systemd/user.conf.d{,*}
# Files only
%{_prefix}/lib/NetworkManager/conf.d/*
%{_prefix}/lib/NetworkManager/dispatcher.d/*
%{_prefix}/lib/modprobe.d/*
%{_prefix}/lib/sysctl.d/*
%{_prefix}/lib/systemd/system/*
%{_prefix}/lib/tmpfiles.d/*
%{_prefix}/lib/udev/rules.d/*
%{_prefix}/lib/systemd/zram-generator.conf

%changelog
* Tue Oct 29 2024 Thorsten Schubert <tschubert@bafh.org> - %{version}-%{release}
- Initial build 
